=== src/helpers/CMakeLists.txt ===
add_subdirectory(killer)
add_subdirectory(wayland_wrapper)
add_subdirectory(kwindowprop)
