## kwin 6.5.0+p24.04+vstable+git20251021.0844

=== debian/changelog ===
kwin (4:6.5.0+p24.04+vstable+git20251021.0844-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 08:44:10 +0000

kwin (4:6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:25:25 +0000
