## kwin 6.5.0+p24.04+vstable+git20251028.1305

=== debian/changelog ===
kwin (4:6.5.0+p24.04+vstable+git20251028.1305-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 13:05:18 +0000
